package spaceObject.spaceShip;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.ArrayList;

import javafx.scene.Group;
import javafx.scene.image.Image;
import spaceObject.projectile.Projectile;

public class Allied extends SpaceShip {

	public static ArrayList<Allied> player = new ArrayList<Allied>();

	public Allied(Group group) throws FileNotFoundException {
		super(player, Enemy.opponent, group, new Image(new FileInputStream(
				"C:\\Users\\karlz\\Documents\\Eclipse\\SpaceShooter\\src\\main\\resources\\pictures\\spaceShip\\Allied.png")),
				Projectile.KEY_BLUE, 100, 80, 3);

		player.add(this);
	}

	@Override
	public void update(double deltaT) {
		move(deltaT);
	}
}
